com.taosdata.jdbc.ws.tmq.meta

## Class Meta

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Meta

Direct Known Subclasses:
  ChildTableInfo, MetaAlterTable, MetaCreateChildTable, MetaCreateNormalTable, MetaCreateSuperTable, MetaDropSuperTable, MetaDropTable

    public abstract class Meta
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Meta()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getTableName()`
`TableType` `getTableType()`
`MetaType` `getType()`
`int` `hashCode()`
`void` `setTableName(String tableName)`
`void` `setTableType(TableType tableType)`
`void` `setType(MetaType type)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Meta

    public Meta()

### Method Detail

#### getType

    public MetaType getType()

#### setType

    public void setType(MetaType type)

#### getTableName

    public String getTableName()

#### setTableName

    public void setTableName(String tableName)

#### getTableType

    public TableType getTableType()

#### setTableType

    public void setTableType(TableType tableType)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`